/**
 * 设置对象的属性值，可以多层级设置
 * @param obj 对象
 * @param path 路径
 * @param value 值
 * @returns 返回obj
 * @example  set({}, 'a.b.c', 1111)
 */
export declare const set: (obj: Record<string, any>, path: string, value: any) => Record<string, any>;
/**
 * 扁平化对象key
 * @param input object
 * @param flattenKey string
 * @param output object
 * @returns object
 */
export declare function flattenObject(input: object, flattenKey?: string, output?: object): object;
/**
 * 扁平的对象转为嵌套的对象
 * @param input 对象
 * @returns 对象
 */
export declare function flattened2Nest(input: object): object;
export declare function omit<T>(obj: T, paths: string | string[]): {};
export declare function get(obj: object, paths: string | string[]): any;
